/* eslint-disable @typescript-eslint/no-unused-vars */
import { IonLabel, IonSegment, IonSegmentButton } from "@ionic/react";
import { useEffect, useState } from "react";
import { LoginWithOTP } from "../LoginWithOTP";
import { LoginWithPassword } from "../LoginWithPassword";
var LoginMethod;

(function (LoginMethod) {
  LoginMethod["password"] = "password";
  LoginMethod["otp"] = "otp";
})(LoginMethod || (LoginMethod = {}));

export const LoginTabs = ({
  disablePasswordLogin,
  disableOTPLogin,
  ...props
}) => {
  const [method, setMethod] = useState(LoginMethod.password);
  useEffect(() => {
    if (disablePasswordLogin && !disableOTPLogin) setMethod(LoginMethod.otp);
    if (disableOTPLogin && !disablePasswordLogin) setMethod(LoginMethod.password);
    if (disableOTPLogin && disablePasswordLogin) setMethod(undefined);
  }, [disableOTPLogin, disablePasswordLogin]);
  return <div>
      <IonSegment value={method} onIonChange={e => setMethod(e.detail.value)} selectOnFocus>
        <IonSegmentButton value={LoginMethod.password} hidden={disablePasswordLogin}>
          <IonLabel>Login with Password</IonLabel>
        </IonSegmentButton>
        <IonSegmentButton value={LoginMethod.otp} hidden={disableOTPLogin}>
          <IonLabel>Login with OTP</IonLabel>
        </IonSegmentButton>
      </IonSegment>
      <div style={{
      display: 'flex',
      justifyContent: 'center',
      marginTop: '20px'
    }}>
        <div style={{
        width: "30%"
      }}>
          {method === LoginMethod.password && <LoginWithPassword {...props} />}
          {method === LoginMethod.otp && <LoginWithOTP {...props} />}
        </div>
      </div>
    </div>;
};